#ifndef COMPUTERRND_H
#define COMPUTERRND_H

#include <random>
#include "board.h"
#include "move.h"
#include "player.h"

class ComputerRnd : public Player
{
public:
   explicit ComputerRnd(Color color) : Player(color), rd(), engine(rd()), dist(0, 2) {}

   Move askForMove(const Board&) override;

   std::string getName() const override { return "Computer-Rnd"; }

private:
   std::random_device rd;
   std::mt19937 engine;
   std::uniform_int_distribution<> dist;
};

#endif

